namespace Tiger.Game.Habbos;

public class Activitypoints
{
    public virtual Habbo Habbo { get; set; } = null!;
    public virtual int Type { get; set; }
    public virtual int Amount { get; set; }

    public override bool Equals(object? obj)
    {
        if (obj is not Activitypoints other)
            return false;

        return Habbo.Id == other.Habbo.Id && Type == other.Type;
    }

    public override int GetHashCode()
    {
        unchecked
        {
            var hash = 17;
            hash = hash * 23 + Habbo.Id.GetHashCode();
            hash = hash * 23 + Type.GetHashCode();
            return hash;
        }
    }
}