using System.Net.WebSockets;

namespace Tiger.Networking.Game.Sessions;

public interface IGameSessionManager
{
    GameSession AddSession(WebSocket webSocket);
    void RemoveSession(WebSocket webSocket);
    void CloseAll();
    GameSession? GetSession(WebSocket webSocket);
    GameSession? GetSession(string sessionId);
    Task CloseAsync(string reason, GameSession gameSession);
}